Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces
vectorgraph.h File Reference
`#include <vector>`
`#include <algorithm>`
`#include <set>`
`#include <cassert>`
`#include <iostream>`
`#include <tulip/Node.h>`
`#include <tulip/Edge.h>`
`#include <tulip/Iterator.h>`
`#include <tulip/vectorgraphproperty.h>`
Include dependency graph for vectorgraph.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::VectorGraph
    That class provide a simple implementation of graph structure (without subgraphs, observer, metagraph) it enables to obtain very efficient access/modification time. More...
- struct tlp::VectorGraph::_iNodes
- struct tlp::VectorGraph::_iEdges

## Namespaces

- namespace tlp

Tulip Software by LaBRI Visualization Team 2001 - 2012